@charset "UTF-8";
@import url('https://fonts.googleapis.com/css2?family=Noto+Sans+TC:wght@300;400;500;700;900&display=swap');

:root {
    --c-orange: #ff6100;
    --c-orange-10: #ffefe6;
    --c-black: #000000;
    --c-gray: #e0e0e0;
    --c-green: #BBDAAC;
    --c-blue: #AEDCE7;
    --c-white: #ffffff;
}

* {
    padding: 0;
    margin: 0;
    box-sizing: border-box;
}

h1,
h2,
h3 {
    margin: 0;
}

img {
    max-width: 100%;
    vertical-align: middle;
}

.container {
    max-width: 100%;
    width: min(100%, 1200px);
    margin: 0 auto;
}

.navbar {
    padding: 15px;

    &.navbar-transparent {
        background-color: var(--c-white);
        box-shadow: none;
        border-bottom: 0;
    }
}

.main-panel {
    .navbar {

        &.navbar-transparent {
            background-color: transparent;
        }
    }
}


.login_logo {
    height: 24px;
    width: auto !important;
}

#banner {
    width: 100%;
    background-color: var(--c-orange);
    display: grid;
    grid-template-columns: 2fr 3fr;
    align-items: center;
    padding: 124px 0 25px;
    gap: 48px;

    @media screen and (max-width: 768px) {
        grid-template-columns: 1fr;
        text-align: center;
        padding: 80px 20px 30px;
        gap: 10px;
    }

    img {
        justify-self: end;

        @media screen and (max-width: 768px) {
            max-width: 250px;
            margin: 0 auto;
        }
    }

    .inner {
        color: var(--c-white);

        h2 {
            color: var(--c-white) !important;
            font-size: clamp(24px, 4.5vw, 50px);
            line-height: 1.25;
            font-weight: 700;
            margin-block-end: 15px;

            @media screen and (max-width: 768px) {
                order: -1;
            }
        }

        h3 {
            font-size: clamp(20px, 3.5vw, 35px);
            line-height: 1.25;
            font-weight: 400;
            margin-block-end: 15px;
        }

        @media screen and (max-width: 768px) {
            order: -1;
        }
    }
}

.login-page {
    #myForm {
        width: min(100%, 360px);
        margin: 0 auto;

        h2 {
            color: #202020;
            font-size: 24px;
            font-weight: 700;
            text-align: center;
            margin-bottom: 20px;
        }

        .input-group {
            margin-bottom: 20px;
            display: grid;
            grid-template-columns: 50px 1fr;
            align-items: center;
            gap: 10px;

            .icon-email,
            .icon-pw {
                width: auto;
                justify-self: center;
            }

            .icon-email {
                height: 20px;
            }

            .icon-pw {
                height: 24px;
            }

            .form-group {
                flex: 1;

                label {
                    font-size: 14px;
                    color: #808080;
                    margin-bottom: 5px;
                    display: block;
                }

                input {
                    width: 100%;
                    padding: 10px 15px;
                    font-size: 16px;
                    border-radius: 5px;
                    background: #F8F8F8;
                    border: 1px solid #E6E6E6;
                }
            }
        }

        button {
            display: block;
            width: fit-content;
            margin: 10px auto;
            padding: 6px 50px;
            background-color: var(--c-orange);
            color: var(--c-white);
            font-size: 16px;
            font-weight: 400;
            border: 1px solid var(--c-orange);
            border-radius: 100vw;
            cursor: pointer;
            transition: all 0.3s ease;

            &:hover {
                background-color: var(--c-white);
                color: var(--c-orange);
            }
        }
    }
}

.sidebar {
    box-shadow: 0px 4px 4px 0px #00000040;

    .logo {
        padding: 15px 0 0;

        &::after {
            bottom: 0;
            right: 0;
            height: 1px;
            width: 100%;
            background-color: var(--c-orange);
        }

        a {
            text-decoration: none;

            img {
                padding: 0 20px;
            }

            .prki_text {
                padding: 20px;
                color: #202020;
                font-weight: 500;
                font-size: 15px;
            }
        }
    }

    .nav {
        p {
            color: #696969;
            font-size: 15px;
            line-height: 40px;
            font-weight: 500;
        }

        i {
            margin-top: 5px;
        }
    }
}

.btn,
.btn.btn-default,
.navbar .navbar-nav>li>a.btn,
.navbar .navbar-nav>li>a.btn.btn-default {
    box-shadow: 0px 4px 4px 0px #00000040;
}

.navbar {
    .navbar-brand {
        position: relative;
        font-size: 28px;
        line-height: 40px;
        font-weight: 500;
        color: #202020;
        padding: 10px 15px;
    }

    .dropdown-menu {
        border-radius: 10px !important;
    }
}

ul.dropdown-menu.show {
    width: 225px;
    top: 80px;
    position: absolute;
    right: 0px;
    left: 80px;
    padding: 15px;

    li {
        div {
            color: #464646;
        }

        a {
            color: var(--c-orange);
            text-decoration: none;
            font-size: 15px;
            font-weight: 500;

            &:hover,
            &:focus,
            &:active {
                background-color: var(--c-orange);
                color: #FFFFFF;
                box-shadow: 0 4px 20px 0px rgba(0, 0, 0, 0.14), 0 7px 10px -5px rgba(156, 39, 176, 0.4);
            }
        }
    }
}

.card {
    border-radius: 18px;

    .card-content {
        padding: 15px 40px;
    }
}

.card [data-background-color="blue"] {
    background: var(--c-orange);
    box-shadow: none;
    border-radius: 15px;
}

.card [data-background-color] {
    margin: -20px 30px 0;


}

.text-info {
    color: var(--c-orange) !important;
}

.table {
    color: var(--c-black);
    font-weight: 500;

    &>thead>tr>th {
        font-weight: 500;
    }
}

.pagination>li>a,
.pagination>li>span {
    color: var(--c-black);
    font-weight: 500;
    font-size: 17px;
}

.pagination.pagination-info>.active>a,
.pagination.pagination-info>.active>a:focus,
.pagination.pagination-info>.active>a:hover,
.pagination.pagination-info>.active>span,
.pagination.pagination-info>.active>span:focus,
.pagination.pagination-info>.active>span:hover {
    background-color: #bebebe;
    border-color: var(--c-white);
    box-shadow: none;
}

.btn {
    &.btn-info {
        background-color: var(--c-orange);
        border-color: var(--c-orange);
        color: var(--c-white);
    }
}

.alert {
    &.alert-rose {
        background-color: var(--c-orange);
        color: #ffffff;
        border-radius: 10px;
        box-shadow: 0 4px 20px 0px rgba(0, 0, 0, 0.14), 0 7px 10px -5px rgba(233, 30, 99, 0.4);

        i {
            color: var(--c-orange);
        }
    }
}

#footer {
    background-color: #E1E1E1;
    padding: 50px 10px 20px;

    .row {
        all: reset;
        width: min(100%, 680px);
        margin: 0 auto;
        display: flex;
        flex-wrap: wrap;
        justify-content: space-between;
        align-items: flex-start;
        gap: 40px;

        &::before,
        &::after {
            display: none;
        }

        .logo {
            width: auto;
            height: 36px;

            @media screen and (max-width: 768px) {
                height: 24px;
            }
        }

        p {
            font-size: 14px;
            line-height: 1.75;
            padding: 0 15px;
            width: fit-content;

            a {
                color: var(--c-black);
                text-decoration: underline;

                &:hover {
                    color: var(--c-orange);
                }
            }
        }
    }
}